
//  GrafiikkademoApplet.java  (c) Kari Laitinen

//  http://www.naturalprogramming.com/

//  2005-10-18  Tiedosto luotu.
//  2006-10-18  Muutettu JApplet-perustaiseksi apletiksi.
//  2006-10-18  Viimeisin muutos.

//  Vastaavan englanninkielisen ohjelman nimi on DrawingDemoApplet.java.

import java.awt.* ;

public class GrafiikkademoApplet extends javax.swing.JApplet
{
   int apletin_leveys, apletin_korkeus ;

   public void init()
   {
      apletin_leveys   =  getSize().width ;
      apletin_korkeus  =  getSize().height ;
   }

   public void paint( Graphics graphics )
   {
      super.paint( graphics ) ;

      graphics.drawString( "Apletin alueen koko on "  +  apletin_leveys
                        +  " x "  +  apletin_korkeus, 20, 20 ) ;

      graphics.drawLine( 0, 100, 500, 100 ) ;
      graphics.drawLine( 0, 300, 500, 300 ) ;
      graphics.drawLine( apletin_leveys / 2, 0,
                         apletin_leveys / 2, apletin_korkeus ) ;

      graphics.fillRect( 20, 50, 100, 40 ) ;

      graphics.fillRect( 20, 200, 100, 80 ) ;
      graphics.drawRect( 10, 190, 120, 100 ) ;

      graphics.copyArea( 10, 190, 120, 100, 150, 0 ) ;

      graphics.fillArc(  20, 350, 100, 80,  45, 270 ) ;
      graphics.fillArc( 170, 350, 100, 80, 315,  90 ) ;

      graphics.fillRect(  350, 50, 100, 40 ) ;
      graphics.clearRect( 360, 60,  80, 20 ) ; 

      int[] monikulmion_koordinaatit_x  =  { 400, 450, 450, 400, 350, 350 } ;
      int[] monikulmion_koordinaatit_y  =  { 150, 180, 220, 250, 220, 180 } ;

      graphics.fillPolygon( monikulmion_koordinaatit_x,
                            monikulmion_koordinaatit_y, 6 ) ; 

      graphics.drawOval( 350, 350, 100, 80 ) ;
      graphics.drawRect( 350, 350, 100, 80 ) ;
      graphics.drawString( "X", 350, 350 ) ;
   }
}





